cascading.flow.hadoop.stream.element

## Class HadoopSinkStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<TupleEntry,java.lang.Void>
      - - cascading.flow.stream.element.SinkStage
        - - cascading.flow.hadoop.stream.element.HadoopSinkStage

All Implemented Interfaces:
  ElementDuct

    public class HadoopSinkStage
    extends SinkStage

### Field Summary

### Fields inherited from class cascading.flow.stream.element.ElementStage

`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`HadoopSinkStage(FlowProcess flowProcess, Tap sink)`

### Method Summary

Methods
`protected java.lang.Object` `getOutput()`

### Methods inherited from class cascading.flow.stream.element.SinkStage

`bind, cleanup, complete, getSink, prepare, receive, start`

### Methods inherited from class cascading.flow.stream.element.ElementStage

`equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

### Methods inherited from class cascading.flow.stream.duct.Duct

`getNext, getNextFor, initialize, receiveFirst`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HadoopSinkStage

    public HadoopSinkStage(FlowProcess flowProcess,
                   Tap sink)

### Method Detail

#### getOutput

    protected java.lang.Object getOutput()

Overrides:
  `getOutput` in class `SinkStage`